Inicio > GNU/Linux, Software, Tecnología > Como enchular tu Debian GNU/Linux 4.0 Etch

Como enchular tu Debian GNU/Linux 4.0 Etch

abril 9, 2007

Bueno, una vez sabido que ya tenemos en la calle nuestra nueva y favorita distribución, vamos a explicar como enchular nuestra instalación.

Empezaremos por elegir nuestro CD de instalación.

Podemos descargar CDs via bitorrent aquí, además podremos elegir versiónes del primer CD con otros escritorios por defecto como KDE o XFCE si así lo deseamos (por defecto Debian mete Gnome)

La instalación es muy sencilla, y además gráfica.

Una vez con el escritorio por defecto lo primero que tenemos que hacer como usuario root es editar nuestro /etc/apt/sources.list y añadir las siguientes líneas.

#Repositorios oficiales

deb ftp://ftp.de.debian.org/debian/ etch main non-free contrib
# deb-src http://ftp.de.debian.org/debian/ etch main

deb http://security.debian.org/ etch/updates main contrib non-free
# deb-src http://security.debian.org/ etch/updates main

#Repositorios para mplayer y codecs
deb http://www.debian-multimedia.org etch main

#Beryl para Debian
deb http://debian.beryl-project.org/ etch main

#Debian Menu SUSE (SLAB)
#deb ftp://ftp.es.debian.org/debian ../project/experimental main contrib non-free

#XFCE 4.4
#deb http://debian.corsac.net unstable/

#Gnome 2.16 para Etch
#deb http://people.debian.org/~nobse/etch/gnome2.16/ ./

—————————————————————————————————-

Con estos repositorio tendrás todos los codecs, plugins, etc… que necesites.

Por ejemplo, para tener meter java, plugin flash, codecs para ver videos y efectos 3D con beryl podrías ejecutar:

apt-get install sun-java5-jdk flashplugin-nonfree w32codecs beryl beryl-manager beryl-plugins beryl-plugins-unsupported beryl-settings emerald

(Si usais KDE tendríais que instalar tambíen el paquete aquamarine)

Ala con esto ya tendreis un escritorio perfectamente funcional.

Si os fijais, en los repositorios que os he puesto tengo algunas entradas comentadas, son de un menú slab para gnome (un menú que viene en Suse para reemplazar el clásico de gnome) una versión algo mas nueva de XFCE (la versión de este escritorio que viene en Debian 4.0 Etch es una RC y en el source que yo he puesto vienen los paquete de la 4.4 definitiva) y tambíen los paquete de una versión mas reciente de gnome, la 2.16 ya que por defecto trae la 2.14.

Todo esto lo tengo comentado ya que no son paquete oficiales, aunque yo mismo los he probado y no dan problemas. Sinembargo hay que tener en cuenta cuando se meten paquetes de repositorios externos, pueden darnos problemas con los paquetes oficiales o con otros repositorios en algún momento. Por ejemplo, si meteis los paquetes de gnome 2.16 es posible que algunos paquetes que están compilados para gnome 2.14 se vayan a desinstalar, pero vamos no son muchos, a mi me pasó con algunos paquetes de xfce y algún otro, pero nada remarcable.

Pues nada espero que esto le sirva a alguien y que disfruteis de vuestra nueva instalación Debianera. Esto es solo una pequeña guia y unos consejos rápidos escritos sobre la marcha así que no dudeis en buscar mas información por internet si teneis dudas o si quereis ampliar la información, pero para empezar bueno está 🙂

Anuncios
  1. pasota
    abril 20, 2007 en 4:53 pm

    Creo que los codecs de Win32 ya no son necesarios en Debian Etch.

    “For MPlayer and WMV9 w32codecs is no longer necessary. One less non-free package…”
    http://marc.info/?l=debian-user&m=116098914803175&w=2

  2. jesus
    abril 28, 2007 en 8:07 pm

    hola el repositorio para el menu tipo suse no funciona tienes algun otro?

  3. abril 28, 2007 en 8:34 pm

    Con el Automatix2 para Debian puedes instalartelo seleccionandolo en el programita.

    http://www.getautomatix.com/wiki/index.php?title=Installation#Debian_Etch_386

  4. Kruger
    mayo 7, 2007 en 8:19 am

    A mi me da un error con respecto a una llaves. Podrías indicarme que tengo que agregar en consola o en el sources para que admita dichos repositorios?

    Te lo expongo:

    Leyendo lista de paquetes… Hecho
    W: GPG error: http://www.debian-multimedia.org etch Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 07DC563D1F41B907
    W: GPG error: http://debian.beryl-project.org etch Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 3FF0DB166A7476EA
    W: Duplicate sources.list entry http://security.debian.org etch/updates/main Packages (/var/lib/apt/lists/security.debian.org_dists_etch_updates_main_binary-i386_Packages)
    W: Duplicate sources.list entry http://security.debian.org etch/updates/contrib Packages (/var/lib/apt/lists/security.debian.org_dists_etch_updates_contrib_binary-i386_Packages)
    W: Tal vez quiera ejecutar ‘apt-get update’ para corregir estos problemas
    msi:/home/suso#

  5. Kruger
    mayo 7, 2007 en 8:24 am

    Lo de la repetición de los repositorios “corregido”, ya los tenía puestos.

    Leyendo lista de paquetes… Hecho

    W: GPG error: http://www.debian-multimedia.org etch Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 07DC563D1F41B907

    W: GPG error: http://debian.beryl-project.org etch Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 3FF0DB166A7476EA

  6. mayo 7, 2007 en 1:41 pm

    No te preocupes esos no son errores si no “warnings” te dice que no tienes la llave instalada y por lo tanto no están “autentificados” pero eso no te impide instalarlos… simplemente te da ese mensaje como “advirtiendo” que no son paquetes firmados o autorizados

    Pero no tiene importancia.

  7. #ubuntu-sv (Celvin)
    junio 14, 2007 en 3:59 am

    Lo que dice nachoproy es cierto, pero aveces a uno le gusta ver que todo sale sin errores. Asi que metele esto:

    gpg –keyserver subkeys.pgp.net –recv-keys 07DC563D1F41B907
    gpg –export –armor 07DC563D1F41B907 | apt-key add –

    donde 07DC563D1F41B907 es la llave (Key) y puedes cambiarla por el que te aparesca despues de NO_PUBKEY

    PD: Perdonen el anuncio, pero pueden visitarnos en el IRC #ubuntu-sv o en #ubuntu-ni en freenode, para que les ayudemos en lo que podamos.

  8. septiembre 19, 2007 en 8:33 pm

    it came out to be, that she wasn’t the girl for m. Essa Morty.

  9. juank
    septiembre 27, 2007 en 11:19 pm

    que tal les parese que estoy en root
    y me niega en permiso al comando /etc/apt/sources.lis que podra ser que me recomiendan

  10. septiembre 28, 2007 en 9:50 am

    HOYGAN! XD

    Hombre tal vez te falle por que no estás escribiendolo mal. Es sources.list terminado en T

    🙂

  11. Electric Eye
    marzo 30, 2008 en 11:05 pm

    Juank: Te tenés q rootear pero escribis el directorio si antepones nano /etc/apt/sources.list

  12. juan carlos
    abril 22, 2008 en 4:35 pm

    adonde tengo que meter gpg –keyserver subkeys.pgp.net –recv-keys 07DC563D1F41B907
    gpg –export –armor 07DC563D1F41B907 | apt-key add –

    por que si es en la linea de comandos pues me da un error :

    usage: gpg [options] [filename]
    gpg: no valid OpenPGP data found.

    espero que alguien me ayude gracias

  13. Pablo
    mayo 2, 2008 en 3:34 am

    juan carlos los guiones mas largos en export y armor por ejemplo o keyserver son guiones dobles no simples. prueba .

    saludos.

  14. Mne9
    mayo 8, 2008 en 6:45 am

    Aclaro que la primera linea al cortar y pegar en la consola puede tomar otro caracter en lugar del guion en la primera linea, uno mas delgado y largo (¿?) si se lo reemplaza funciona. A la segunda no la he logrado todavia

    $ gpg –keyserver subkeys.pgp.net –recv-keys EC61E0B0BBE55AB3

    gpg: solicitando clave BBE55AB3 de hkp servidor subkeys.pgp.net
    gpg: clave BBE55AB3: “Debian-Volatile Archive Automatic Signing Key (4.0/etch)” sin cambios
    gpg: Cantidad total procesada: 1
    gpg: sin cambios: 1

    (¿Será por aquello de “sin cambios”?)

    Gracias Pablo por la información.
    Saludos

  15. mlede080
    octubre 12, 2008 en 8:24 am

    …Ya que hablan de “enchular”…alguno sabe como hacer funcionar a la perfeccion una touch-screen de una notebook HP TX2000? :o(

    (el SO es un Debian k2.6.24)
    …me niego rotundamente a usar vista de mier dosoft
    jeje XD

    Gracias.
    Salu2.

  1. No trackbacks yet.
Los comentarios están cerrados.
A %d blogueros les gusta esto: